@import "palette";
a{
  text-decoration: none;
  color: black;
}

.events {
  //width: 85vh;
  display: grid;
  //grid-template-columns: 1fr 1fr;
  grid-column-gap: 50px;
  grid-row-gap: 50px;
  margin: 25px;
  grid-template-columns: repeat(auto-fit, minmax(580px, 1fr));

  @media screen  and (max-width: 768px){
    grid-template-columns: repeat(auto-fit, minmax(330px, 1fr));

    >section{
      min-height: 580px!important;
      header{
        width: 100%;
        img{

          //width: 330px;
          height: 100%;
          margin: auto;
        }
      }
      position: relative;
      height: 100vh;
      >a {
        bottom: 20px;
        position: absolute;
      }
    }
  }

  >section {
     //background: $base-color;
     //background: $base-color;
     //background: rgba(244, 163, 163, 0.51);
     //background: #f4a3a3;

    width: 100%;


    header {

      display: flex;
      flex-flow: row;
      align-content: center;
      width: 100%;
      img{
        width: 100%;
        margin: 0 auto ;
      }
    }
    footer {
      min-height: 200px !important;
      padding-top: 20px;
      p.title{
        &::first-letter{
          color: $base-color;
        }
        letter-spacing: 0.1rem;
        font-weight: bold;
        font-size: 22px;
        text-align: justify;
        margin-bottom: 15px;
      }

      .info{
        display: grid;
        grid-template-columns: 1fr 1fr;
        .dates{
          margin-top: 25px;
          span{
            display: block;
            margin-bottom: 5px;

          }
        }
        .location{

          p {
            font-family: "Poppins", sans-serif;
            text-align: right;

            &:nth-child(3)::first-letter{
              color: $base-color;
              font-size: 20px;
            }
            &:first-child{
              >i {

                color :$base-color;
                font-size: 22px;
              }
            }
          }


        }
      }
    }
    >a{
      width: 100%;
      height: 45px;
      border-radius: 25px;
      overflow: hidden;
    &:hover{
      div.article-link{
        span{
          color: $base-text-color;
          transition: 0.5s;
        }
        span.button_bg{
          transition: 0.7s;
          &:first-child{
            width: calc(100% - 45px);

          }
        }
      }
    }
      display: block;
      div {
        position: relative;
        >span{
          position: absolute;
          &.button_bg{
            width: 45px;
            height: 45px;
            margin-left: 23px;
            background-color: $base-color;
            transition: ease 0.7s;
            border-radius: 1.625rem;


          }
          &:last-child{

            color: $base-color;
            font-size: 18px;
            font-weight: bold;
            letter-spacing: 3px;
            left: 50%;
            transform: translateY(50%);
            transition: 0.5s;

          }
        }
      }
    }

    padding-bottom: 5px;
    background-image: linear-gradient(120deg, rgba(255, 255, 255, 0)0%, $base-color 50%, rgba(255, 255, 255, 0) 100%);
    background-repeat: no-repeat;
    background-size: 100% 0.2em;
    background-position: 0 100%;
  }

}


//background-image: linear-gradient(120deg, #fa5763 0%, #f47a3b 50%, #fa5763 100%);
//background-repeat: no-repeat;
//background-size: calc(100vw - 50%) 0.2rem;
//background-position: 50% 100%;
//                            padding-bottom:20px;
